Skip to main content
`Ctrl`+`K`

# DMForestGetWeightCapacity

Set the capacity of the current process when repartitioning a pre-adaptation forest (see `DMForestGetAdaptivityForest()`).

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetWeightCapacity(DM dm, PetscReal *capacity)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- capacity - this process’s capacity

## Note

After partitioning, the ratio of the weight of each process’s cells to the process’s capacity will be roughly equal for all processes. A capacity of 0 indicates that the current process should not have any cells after repartitioning.

## See Also

`DM`, `DMFOREST`, `DMForestSetWeightCapacity()`, `DMForestSetCellWeights()`, `DMForestSetCellWeightFactor()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages